#include <bits/stdc++.h>

using namespace std;

int n,k,x;
int niz[2000005];
int rez;
int main () {
    cin>>n>>k;
    for(int i=1;i<=n;i++){
        cin>>x;
        niz[x+n]++;
        //cout<<niz[x+n]<<endl;
    }
    for(int i=0;i<=n*2;i++){
        if(niz[i]>=k){
            rez+=niz[i]/k;
          //  cout<<rez<<endl;
        }
    }
    cout<<rez<<endl;
    for(int i=0;i<=n*2;i++){
        if(niz[i]>=k){
            cout<<i-n<<" ";
        }
    }
    cout<<endl;
    return 0;
}